Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log

From: Eli Zaretskii <[email-masked]>
Date: Thu, 07 Oct 2021 10:47:44 +0300

> From: Juri Linkov <[email-masked]>
> Date: Thu, 07 Oct 2021 10:21:45 +0300
> Cc: [email-masked], Lars Ingebrigtsen <[email-masked]>
> 
> It will take more time to create branch commands due to many problems.
> So the best what we could do now is to rebind 'vc-switch-backend'
> from 'C-x v b' to 'C-x v B' in emacs-28 to give time to adapt
> to  new keybinding.

Please don't change such old key bindings, not unless we are
deprecating the command (which we aren't, AFAIU).

>'vc-switch-backend' was announced in NEWS thusly:
> 
>   If a file is registered in multiple backends, you can switch to
>   another one using C-x v b (vc-switch-backend).  This does not change
>   any files, it only changes VC's perspective on the file.  Use this to
>   pick up changes from CVS while working under RCS locally.
> 
> So it was intended to switch backends between CVS and RCS.

It was then, but it can be used today with other backends.

So I'm opposed to such a change.  (And it's too late for incompatible
changes on the emacs-28 branch anyway.)